// ###########################################################################
// ARCAD Include File
// ------------------
// Standard Texturen
// 24.Feb.99
// ###########################################################################

#declare Shapes_Inc_Temp = version;
#declare Colors_Inc_Temp = version;
#declare textures_Inc_Temp = version;
#version 2.0;


// ###########################################################################
// Definition einiger Grundformen
// ###########################################################################
//
#declare Ellipsoid = sphere {<0, 0, 0>,1}
#declare Sphere = sphere {<0, 0, 0>,1}
#declare Cylinder_X = quadric{<0, 1, 1>,   <0, 0, 0>,   <0, 0, 0>, -1  }
#declare Cylinder_Y = quadric{<1, 0, 1>,   <0, 0, 0>,   <0, 0, 0>, -1  }
#declare Cylinder_Z = quadric{<1, 1, 0>,   <0, 0, 0>,   <0, 0, 0>, -1  }

// Infinite cones
#declare QCone_X = quadric  {<-1, 1, 1>,   <0, 0, 0>,   <0, 0, 0>, 0  }
#declare QCone_Y = quadric  {<1, -1, 1>,   <0, 0, 0>,   <0, 0, 0>, 0  }
#declare QCone_Z = quadric  {<1, 1, -1>,   <0, 0, 0>,   <0, 0, 0>, 0  }

// Unit cones    
#declare Cone_X = cone {x,0,-x,1}
#declare Cone_Y = cone {y,0,-y,1}
#declare Cone_Z = cone {z,0,-z,1}

// Plane_nn
#declare Plane_YZ = plane {x,0}
#declare Plane_XZ = plane {y,0}
#declare Plane_XY = plane {z,0}

// y^2 + z^2 - x = 0
#declare Paraboloid_X = quadric  {< 0, 1, 1>,   < 0, 0, 0>,   <-1, 0, 0>, 0  }

// x^2 + z^2 - y = 0 
#declare Paraboloid_Y = quadric  {<1,  0,  1>,  <0,  0,  0>,  <0, -1,  0>, 0  }

// x^2 + y^2 - z = 0 
#declare Paraboloid_Z = quadric  {<1,  1,  0>,   <0,  0,  0>,   <0,  0, -1>, 0  }

// y - x^2 + z^2 = 0 
#declare Hyperboloid = quadric  {<-1,  0,  1>,   < 0,  0,  0>,   < 0,  1,  0>, 0  }

// Vertical hyperboloid 
//                      
//            \   /     
// Like this:  ) (      
//            /   \     
#declare Hyperboloid_Y = quadric {<1, -1,  1>,  <0,  0,  0>, <0,  0,  0>, -1  }

// Cube using the procedural box primitive
#declare UnitBox = box { <-1, -1, -1>, <1, 1, 1> }

// This primitive used to be an intersection of six planes.  For speed,
// it is now a box and nothing else.
#declare Cube = box { <-1, -1, -1>, <1, 1, 1> }

// Disk primitives are "capped" cylinders of unit length.
#declare Disk_X =  cylinder { x,-x,1}
#declare Disk_Y =  cylinder { y,-y,1}
#declare Disk_Z =  cylinder { z,-z,1}



// ###########################################################################
// Definition einiger Grundfarben
// ###########################################################################
//
#declare Black = color red 0.0 green 0.0 blue 0.0
#declare White = color red 1.0 green 1.0 blue 1.0
#declare Blau = color blue 1.0
#declare Hellblau = color red 0.5 green 0.5 blue 1
#declare Bronze = color red 0.55 green 0.47 blue 0.14
#declare Cyan = color blue 1.0 green 1.0
#declare DarkBlau = color red 0.184314 green 0.184314 blue 0.309804
#declare DarkGruen = color red 0.184314 green 0.309804 blue 0.184314
#declare DarkSlateBlau = color red 0.419608 green 0.137255 blue 0.556863
#declare DarkSlateGrau = color red 0.184314 green 0.309804 blue 0.309804
#declare DunkelRosa = color red 0.6 green 0.0 blue 0.0
#declare DunkelRot = color red 0.309804 green 0.184314 blue 0.184314
#declare DustyRose = color red 0.52 green 0.39 blue 0.39
#declare Feldspar = color red 0.82 green 0.57 blue 0.46
#declare Gold = color red 0.8 green 0.498039 blue 0.196078
#declare Grau05 = color red 0.05 green 0.05 blue 0.05
#declare Grau05 = color red 0.05 green 0.05 blue 0.05
#declare Grau10 = color red 0.10 green 0.10 blue 0.10
#declare Grau15 = color red 0.15 green 0.15 blue 0.15
#declare Grau20 = color red 0.20 green 0.20 blue 0.20
#declare Grau25 = color red 0.25 green 0.25 blue 0.25
#declare Grau30 = color red 0.30 green 0.30 blue 0.30
#declare Grau35 = color red 0.35 green 0.35 blue 0.35
#declare Grau40 = color red 0.40 green 0.40 blue 0.40
#declare Grau45 = color red 0.45 green 0.45 blue 0.45
#declare Grau50 = color red 0.50 green 0.50 blue 0.50
#declare Grau55 = color red 0.55 green 0.55 blue 0.55
#declare Grau60 = color red 0.60 green 0.60 blue 0.60
#declare Grau65 = color red 0.65 green 0.65 blue 0.65
#declare Grau70 = color red 0.70 green 0.70 blue 0.70
#declare Grau75 = color red 0.75 green 0.75 blue 0.75
#declare Grau80 = color red 0.80 green 0.80 blue 0.80
#declare Grau85 = color red 0.85 green 0.85 blue 0.85
#declare Grau90 = color red 0.90 green 0.90 blue 0.90
#declare Grau95 = color red 0.95 green 0.95 blue 0.95
#declare Gruen = color green 1.0
#declare Kupfer = color red 0.72 green 0.45 blue 0.20
#declare Leichtblau = color red 0.0 green 0.6 blue 0.6
#declare Magenta = color red 1.0 blue 1.0
#declare Messing =  color red 0.71 green 0.65 blue 0.26
#declare Orange = color red 1 green 0.5 blue 0.0
#declare Quartz = color red 0.85 green 0.85 blue 0.95
#declare Rot = color red 1.0
#declare Silber = color red 0.90 green 0.91 blue 0.98
#declare Weiss = color red 1 green 1 blue 1
#declare Beige = color red 0.847059 green 0.847059 blue 0.74902
#declare Yellow = color red 1.0 green 1.0
#declare Maisgelb = color red 0.8 green 0.8 blue 0.35

// Fr andere Szenerien
#declare Red     = rgb <1, 0, 0>
#declare Green   = rgb <0, 1, 0>
#declare Blue    = rgb <0, 0, 1>
#declare Yellow  = rgb <1,1,0>
#declare Cyan    = rgb <0, 1, 1>
#declare Magenta = rgb <1, 0, 1>
#declare Clear   = rgbf 1
#declare White   = rgb 1
#declare Black   = rgb 0

// These grays are useful for fine-tuning lighting color values
// and for other areas where subtle variations of grays are needed.
// PERCENTAGE GRAYS:
#declare Gray05 = White*0.05
#declare Gray10 = White*0.10
#declare Gray15 = White*0.15
#declare Gray20 = White*0.20
#declare Gray25 = White*0.25
#declare Gray30 = White*0.30
#declare Gray35 = White*0.35
#declare Gray40 = White*0.40
#declare Gray45 = White*0.45
#declare Gray50 = White*0.50
#declare Gray55 = White*0.55
#declare Gray60 = White*0.60
#declare Gray65 = White*0.65
#declare Gray70 = White*0.70
#declare Gray75 = White*0.75
#declare Gray80 = White*0.80
#declare Gray85 = White*0.85
#declare Gray90 = White*0.90
#declare Gray95 = White*0.95

// OTHER GRAYS
#declare DimGray = color red 0.329412 green 0.329412 blue 0.329412
#declare DimGrey = color red 0.329412 green 0.329412 blue 0.329412
#declare Gray = color red 0.752941 green 0.752941 blue 0.752941
#declare Grey = color red 0.752941 green 0.752941 blue 0.752941
#declare LightGray = color red 0.658824 green 0.658824 blue 0.658824
#declare LightGrey = color red 0.658824 green 0.658824 blue 0.658824
#declare VLightGray = color red 0.80 green 0.80 blue 0.80
#declare VLightGrey = color red 0.80 green 0.80 blue 0.80

#declare Aquamarine = color red 0.439216 green 0.858824 blue 0.576471
#declare BlueViolet = color red 0.62352 green 0.372549 blue 0.623529
#declare Brown = color red 0.647059 green 0.164706 blue 0.164706
#declare CadetBlue = color red 0.372549 green 0.623529 blue 0.623529
#declare Coral = color red 1.0 green 0.498039 blue 0.0
#declare CornflowerBlue = color red 0.258824 green 0.258824 blue 0.435294
#declare DarkGreen = color red 0.184314 green 0.309804 blue 0.184314
#declare DarkOliveGreen = color red 0.309804 green 0.309804 blue 0.184314
#declare DarkOrchid = color red 0.6 green 0.196078 blue 0.8
#declare DarkSlateBlue = color red 0.419608 green 0.137255 blue 0.556863
#declare DarkSlateGray = color red 0.184314 green 0.309804 blue 0.309804
#declare DarkSlateGrey = color red 0.184314 green 0.309804 blue 0.309804
#declare DarkTurquoise = color red 0.439216 green 0.576471 blue 0.858824
#declare Firebrick = color red 0.556863 green 0.137255 blue 0.137255
#declare ForestGreen = color red 0.137255 green 0.556863 blue 0.137255
#declare Gold = color red 0.8 green 0.498039 blue 0.196078
#declare Goldenrod = color red 0.858824 green 0.858824 blue 0.439216
#declare GreenYellow = color red 0.576471 green 0.858824 blue 0.439216
#declare IndianRed = color red 0.309804 green 0.184314 blue 0.184314
#declare Khaki = color red 0.623529 green 0.623529 blue 0.372549
#declare LightBlue = color red 0.74902 green 0.847059 blue 0.847059
#declare LightSteelBlue = color red 0.560784 green 0.560784 blue 0.737255
#declare LimeGreen = color red 0.196078 green 0.8 blue 0.196078
#declare Maroon = color red 0.556863 green 0.137255 blue 0.419608
#declare MediumAquamarine = color red 0.196078 green 0.8 blue 0.6
#declare MediumBlue = color red 0.196078 green 0.196078 blue 0.8
#declare MediumForestGreen = color red 0.419608 green 0.556863 blue 0.137255
#declare MediumGoldenrod = color red 0.917647 green 0.917647 blue 0.678431
#declare MediumOrchid = color red 0.576471 green 0.439216 blue 0.858824
#declare MediumSeaGreen = color red 0.258824 green 0.435294 blue 0.258824
#declare MediumSlateBlue = color red 0.498039 blue 1.0
#declare MediumSpringGreen = color red 0.498039 green 1.0 
#declare MediumTurquoise = color red 0.439216 green 0.858824 blue 0.858824
#declare MediumVioletRed = color red 0.858824 green 0.439216 blue 0.576471
#declare MidnightBlue = color red 0.184314 green 0.184314 blue 0.309804
#declare Navy = color red 0.137255 green 0.137255 blue 0.556863
#declare NavyBlue = color red 0.137255 green 0.137255 blue 0.556863
#declare Orange = color red 1 green 0.5 blue 0.0
#declare OrangeRed = color red 1.0 green 0.25    
#declare Orchid = color red 0.858824 green 0.439216 blue 0.858824
#declare PaleGreen = color red 0.560784 green 0.737255 blue 0.560784
#declare Pink = color red 0.737255 green 0.560784 blue 0.560784
#declare Plum = color red 0.917647 green 0.678431 blue 0.917647
#declare Salmon = color red 0.435294 green 0.258824 blue 0.258824
#declare SeaGreen = color red 0.137255 green 0.556863 blue 0.419608
#declare Sienna = color red 0.556863 green 0.419608 blue 0.137255
#declare SkyBlue = color red 0.196078 green 0.6 blue 0.8
#declare SlateBlue = color green 0.498039 blue 1.0
#declare SpringGreen = color green 1.0 blue 0.498039
#declare SteelBlue = color red 0.137255 green 0.419608 blue 0.556863
#declare Tan = color red 0.858824 green 0.576471 blue 0.439216
#declare Thistle = color red 0.847059 green 0.74902 blue 0.847059
#declare Turquoise = color red 0.678431 green 0.917647 blue 0.917647
#declare Violet = color red 0.309804 green 0.184314 blue 0.309804
#declare VioletRed = color red 0.8 green 0.196078 blue 0.6
#declare Wheat = color red 0.847059 green 0.847059 blue 0.74902
#declare YellowGreen = color red 0.6 green 0.8 blue 0.196078
#declare SummerSky = color red 0.22 green 0.69 blue 0.87
#declare RichBlue = color red 0.35 green 0.35 blue 0.67
#declare Brass =  color red 0.71 green 0.65 blue 0.26
#declare Copper = color red 0.72 green 0.45 blue 0.20
#declare Bronze = color red 0.55 green 0.47 blue 0.14
#declare Bronze2 = color red 0.65 green 0.49 blue 0.24
#declare Silver = color red 0.90 green 0.91 blue 0.98
#declare BrightGold = color red 0.85 green 0.85 blue 0.10
#declare OldGold =  color red 0.81 green 0.71 blue 0.23
#declare Feldspar = color red 0.82 green 0.57 blue 0.46
#declare Quartz = color red 0.85 green 0.85 blue 0.95
#declare Mica = color Black  // needed in textures.inc
#declare NeonPink = color red 1.00 green 0.43 blue 0.78
#declare DarkPurple = color red 0.53 green 0.12 blue 0.47
#declare NeonBlue = color red 0.30 green 0.30 blue 1.00
#declare CoolCopper = color red 0.85 green 0.53 blue 0.10
#declare MandarinOrange = color red 0.89 green 0.47 blue 0.20
#declare LightWood = color red 0.91 green 0.76 blue 0.65
#declare MediumWood = color red 0.65 green 0.50 blue 0.39
#declare DarkWood = color red 0.52 green 0.37 blue 0.26
#declare SpicyPink = color red 1.00 green 0.11 blue 0.68
#declare SemiSweetChoc = color red 0.42 green 0.26 blue 0.15
#declare BakersChoc = color red 0.36 green 0.20 blue 0.09
#declare Flesh = color red 0.96 green 0.80 blue 0.69
#declare NewTan = color red 0.92 green 0.78 blue 0.62
#declare NewMidnightBlue = color red 0.00 green 0.00 blue 0.61
#declare VeryDarkBrown = color red 0.35 green 0.16 blue 0.14
#declare DarkBrown = color red 0.36 green 0.25 blue 0.20
#declare DarkTan = color red 0.59 green 0.41 blue 0.31
#declare GreenCopper = color red 0.32 green 0.49 blue 0.46
#declare DkGreenCopper = color red 0.29 green 0.46 blue 0.43
#declare DustyRose = color red 0.52 green 0.39 blue 0.39
#declare HuntersGreen = color red 0.13 green 0.37 blue 0.31
#declare Scarlet = color red 0.55 green 0.09 blue 0.09

#declare Med_Purple =  colour red 0.73 green 0.16 blue 0.96 
#declare Light_Purple = colour red 0.87 green 0.58 blue 0.98 
#declare Very_Light_Purple = colour red 0.94 green 0.81 blue 0.99 


// ###########################################################################
// Definition einiger Oberflaechen-Standards
// ###########################################################################

// Brechungsindex
#declare Diamant_Ior = 2.47
#declare Flint_Glas_Ior = 1.71
#declare Kronen_Glas_Ior = 1.51
#declare Wasser_Ior = 1.33
#declare Luft_Ior = 1.000292

// Bildtexturen Deklarationen
#declare Flaechen_Map = 0
#declare Kugel_Map = 1
#declare Zylinder_Map = 2
#declare Torus_Map = 5

// Interpolation Konstanten
// Fuer image_map und bump_map wie folgt:
#declare Bi   = 2    // Bilineare Interpolation ist das Beste
#declare Norm = 4    // Normalisierte Distanz ist etwas schneller

// Specular Glanzlichter sind sehr realistisch
// Matt generiert einen grossen, weichen Lichtkranz auf der Oberflaeche des 
// Objektes
#declare SehrMatt = finish {specular 0.1 roughness 0.5}
#declare Matt = finish {specular 0.5 roughness 0.15}

// Glanz generiert einen kleinen, scharf umrissenen Lichtkranz auf der 
// Oberflaeche des Objektes
#declare Glanz = finish {specular 1 roughness 0.001}

// Hochglnzend (lackiert) mit sehr kleinen Glanzlichtern und Reflektion
#declare Hochglanz = finish {specular 1 roughness 0.0001 reflection 0.13}

// Phong Glanzlichter sind nicht so realistisch wie das 'specular'-finish,
// eignen sich aber fuer verschiedene Effekte
// Matt generiert einen grossen, weichen Lichtkranz auf der Oberflaeche des 
// Objektes.
#declare Phong_Matt = finish {phong 0.5  phong_size 1}

// Glanz generiert einen kleinen, scharf umrissenen Lichtkranz auf der 
// Oberflaeche des Objektes.
#declare Phong_Glanz = finish {phong 1  phong_size 200}

// Hochglnzend (lackiert) mit sehr kleinen Glanzlichtern und Reflektion
#declare Phong_Hochglanz = finish {phong 1 phong_size 300 reflection 0.13}

// Leuchtend fuer schattenlose Himmelflaechen und
// Lichtquellen
#declare Leuchtend = finish {ambient 1 diffuse 0}

// Ein perfekter Spiegel ohne eigene Streuung
#declare Spiegelnd = finish {ambient 0 diffuse 0 reflection 1}

// Metallische Oberflaechendefinition
#declare Metallisch = 
 finish{metallic diffuse 0.7 brilliance 6 reflection 0.25 phong 0.75 phong_size 80}

#declare silbrig = finish{metallic reflection 0.45 brilliance 6 phong 1 phong_size 100}

#declare GlasFinish = finish {diffuse 0.1 specular 0.8 reflection 0.1 roughness 0.0003 phong 1 phong_size 400}
#declare GlasRefrection = interior {ior Kronen_Glas_Ior}



#declare Angerostet = 
 pigment 
  {agate
   scale 0.3
   color_map{
	[0.0, 0.5   color red 0.21 green 0.1 blue 0.1 color red 0.25 green 0.25 blue 0.01]
	[0.5, 0.6   color red 0.25 green 0.25 blue 0.01 color red 0.3 green 0.1 blue 0.1]
	[0.6, 1.001 color red 0.15 green 0.1 blue 0.1 color red 0.15 green 0.1 blue 0.1]
	}
  }

#declare Rostig = 
 pigment 
  {spotted
   scale 0.3
   color_map{
	[0.0, 0.4   color red 0.89 green 0.51 blue 0.28 color red 0.70 green 0.13]
	[0.4, 0.5   color red 0.70 green 0.13 color red 0.69 green 0.41 blue 0.08]
	[0.5, 0.6   color red 0.69 green 0.41 blue 0.08 color red 0.49 green 0.31 blue 0.28]
	[0.6, 1.001 color red 0.49 green 0.31 blue 0.28 color red 0.89 green 0.51 blue 0.28]
	}
  }

#declare BlauerWolken_Himmel = 
 pigment 
  {bozo
   turbulence 0.3
   scale 300
   color_map 
	{[0.0, 0.5   color red 0.25 green 0.25 blue 0.5
				 color red 0.25 green 0.25 blue 0.5]
	 [0.5, 0.6   color red 0.25 green 0.25 blue 0.5
				 color red 0.7  green 0.7  blue 0.7]
	 [0.6, 1.001 color red 0.7  green 0.7  blue 0.7
				 color red 0.3  green 0.3  blue 0.3]
	}
  }


#declare BlauerWenigWolken_Himmel = 
 pigment 
  {bozo
   turbulence 0.56
   scale 300
   color_map 
	{[0.0, 0.5  color red 0.5 green 0.5 blue 1.0
				color red 0.5 green 0.5 blue 1.0]
	 [0.5, 0.6  color red 0.5 green 0.5 blue 1.0
				color red 1.0 green 1.0 blue 1.0]
	 [0.6, 1.01 color red 1.0 green 1.0 blue 1.0
				color red 0.5 green 0.5 blue 0.5]
	}
  }

#declare Sommer_Himmel = 
 pigment{
   agate
   scale 300
   color_map {
	  [ 0, .3  color Blau color Blau  ]
	  [.3,  1  color Blau color Weiss ]
   }
   scale .75
}


#declare KleineWolken_Himmel = 
 pigment{
   granite
   turbulence 0.1
   scale 0.3
   color_map {
	  [ 0, .3  color Blau color Blau ]
	  [.3,  1  color Blau color Weiss ]
   }
   scale .75
}


// Nur Wolken
// Es ist eine 2. Himmelebene notwendig
#declare WeisseWolken = 
 pigment 
  {bozo
   turbulence 0
   scale 0.3
   color_map 
	{[0.0, 0.1   color red 0.8 green 0.8 blue 0.8
				 color red 0.8 green 0.8 blue 0.8]
	 [0.1, 0.5   color red 0.8 green 0.8 blue 0.8
				 color Weiss filter 1.0]
	 [0.5, 1.001 color Weiss filter 1.0
				 color Weiss filter 1.0]
	}
  }


#declare Y_Gradient = 
 pigment 
  {gradient y
   scale 0.3
   color_map 
	{[0.00, 0.33  color Rot 
				  color Blau]
	 [0.33, 0.66  color Blau
				  color Gruen]
	 [0.66, 1.001 color Gruen
				  color Rot]
	}
  }


#declare X_Gradient = 
 pigment 
  {gradient x
   scale 0.3
   color_map 
	{[0.00, 0.33  color Rot 
				  color Blau]
	 [0.33, 0.66  color Blau
				  color Weiss]
	 [0.66, 1.001 color Weiss
				  color Weiss]
	}
  }

//-------- Declare Green Colors
#declare g1 =  color red 0.26 green 0.41 blue 0.31 //---Light Gray Green
#declare g2 =  color red 0.27 green 0.34 blue 0.26 //---Med Gray Green
#declare g3 =  color red 0.13 green 0.29 blue 0.28 //---Med Gray Aqua
#declare g4 =  color red 0.03 green 0.18 blue 0.08 //---Dark Green

#declare M_Wood1A =
color_map { 
    [0.0, 0.1 color rgb <0.88, 0.60, 0.40>
              color rgb <0.88, 0.60, 0.40>]
    [0.1, 0.9 color rgb <0.88, 0.60, 0.40>
              color rgb <0.60, 0.30, 0.20>]
    [0.9, 1.0 color rgb <0.60, 0.30, 0.20>
              color rgb <0.60, 0.30, 0.20>]
}
#declare M_Wood1B = 
color_map { 
    [0.0, 0.1 color rgbf <0.55, 0.32, 0.20, 0.100> 
              color rgbf <0.55, 0.32, 0.20, 0.500>]
    [0.1, 0.2 color rgbf <0.55, 0.35, 0.20, 0.650>
              color rgbf <0.88, 0.60, 0.40, 0.975>]
    [0.2, 0.3 color rgbf <0.88, 0.60, 0.40, 0.975>
              color rgbf <0.60, 0.30, 0.20, 1.000>]
    [0.3, 0.4 color rgbf <0.60, 0.30, 0.20, 0.100> 
              color rgbf <0.60, 0.30, 0.20, 0.500>]
    [0.4, 0.9 color rgbf <0.60, 0.30, 0.20, 0.650>
              color rgbf <0.88, 0.60, 0.40, 0.975>]
    [0.9, 1.0 color rgbf <0.88, 0.60, 0.40, 0.975>
              color rgbf <0.55, 0.32, 0.20, 1.000>]
}


#declare M_Wood2A = 
color_map { 
    [0.0, 0.1 color rgb <0.35, 0.16, 0.12 >* 0.5
              color rgb <0.35, 0.16, 0.12>* 0.5]
    [0.1, 0.9 color rgb <0.35, 0.20, 0.16>* 0.5
              color rgb <0.46, 0.26, 0.18>* 0.5]
    [0.9, 1.0 color rgb <0.46, 0.26, 0.18>* 0.5
              color rgb <0.35, 0.16, 0.12>* 0.5]
}
#declare M_Wood2B = 
color_map { 
    [0.0, 0.1 color rgbf <0.50, 0.30, 0.20, 0.100> 
              color rgbf <0.50, 0.30, 0.20, 0.500>]
    [0.1, 0.9 color rgbf <0.50, 0.30, 0.20, 0.650>
              color rgbf <0.50, 0.25, 0.15, 0.975>]
    [0.9, 1.0 color rgbf <0.50, 0.25, 0.15, 0.975>
              color rgbf <0.50, 0.30, 0.20, 0.000>]
}
#declare M_Wood3A =
color_map {
    [0.0, 0.1 color rgb <0.75, 0.65, 0.45>
              color rgb <0.75, 0.65, 0.45>]
    [0.1, 0.9 color rgb <0.75, 0.65, 0.45>
              color rgb <0.70, 0.55, 0.40>]
    [0.9, 1.0 color rgb <0.70, 0.55, 0.40>
              color rgb <0.75, 0.65, 0.45>]
}
#declare M_Wood3B =
color_map {
    [0.0, 0.1 color rgbf <0.70, 0.60, 0.40, 0.100>
              color rgbf <0.70, 0.60, 0.40, 0.500>]
    [0.1, 0.9 color rgbf <0.70, 0.60, 0.40, 0.650>
              color rgbf <0.75, 0.70, 0.60, 0.975>]
    [0.9, 1.0 color rgbf <0.75, 0.70, 0.60, 0.975>
              color rgbf <0.70, 0.60, 0.40, 1.000>]
}
#declare M_Wood4A = 
color_map { 
    [0.0, 0.3 color rgb <0.30, 0.10, 0.15>
              color rgb <0.30, 0.15, 0.15>]
    [0.3, 0.6 color rgb <0.30, 0.15, 0.15>
              color rgb <0.50, 0.20, 0.15>]
    [0.6, 1.0 color rgb <0.50, 0.20, 0.15>
              color rgb <0.30, 0.10, 0.15>]
}
#declare M_Wood4B = 
color_map { 
/*
    [0.0, 0.3 color rgbf <0.40, 0.18, 0.20, 0.00> 
              color rgbf <0.20, 0.10, 0.15, 0.20>]
    [0.3, 0.4 color rgbf <0.20, 0.10, 0.15, 0.35>
              color rgbf <0.10, 0.05, 0.07, 0.50>]
    [0.4, 0.6 color rgbf <0.10, 0.05, 0.07, 0.20>
              color rgbf <0.20, 0.10, 0.15, 0.35>]
    [0.6, 1.0 color rgbf <0.20, 0.10, 0.15, 0.50>
              color rgbf <0.40, 0.18, 0.20, 0.00>]
*/
    [0.0, 0.3 color rgbf <0.32, 0.15, 0.17, 0.00> 
              color rgbf <0.32, 0.13, 0.15, 0.20>]
    [0.3, 0.4 color rgbf <0.32, 0.13, 0.13, 0.35>
              color rgbf <0.52, 0.25, 0.23, 0.40>]
    [0.4, 0.6 color rgbf <0.52, 0.25, 0.23, 0.20>
              color rgbf <0.32, 0.13, 0.13, 0.35>]
    [0.6, 1.0 color rgbf <0.32, 0.13, 0.15, 0.50>
              color rgbf <0.32, 0.15, 0.20, 0.00>]

}
#declare M_Wood5A = 
color_map { 
    [0.0, 0.3 color rgb <0.50, 0.35, 0.10>
              color rgb <0.50, 0.35, 0.10>]
    [0.3, 0.6 color rgb <0.50, 0.35, 0.10>
              color rgb <0.60, 0.45, 0.10>]
    [0.6, 1.0 color rgb <0.60, 0.45, 0.10>
              color rgb <0.50, 0.35, 0.10>]
}
#declare M_Wood5B = 
color_map { 
    [0.0, 0.1 color rgbf <0.40, 0.35, 0.10, 1.00> 
              color rgbf <0.40, 0.00, 0.10, 0.60>]
    [0.1, 0.9 color rgbf <0.40, 0.00, 0.10, 0.75>
              color rgbf <0.35, 0.40, 0.15, 0.90>]
    [0.9, 1.0 color rgbf <0.35, 0.40, 0.15, 0.90>
              color rgbf <0.40, 0.35, 0.10, 1.00>]
}
#declare M_Wood6A = 
color_map { 
    [0.0, 0.3 color rgb <0.25, 0.10, 0.10>
              color rgb <0.25, 0.10, 0.10>]
    [0.3, 0.6 color rgb <0.25, 0.10, 0.10>
              color rgb <0.60, 0.15, 0.10>]
    [0.6, 1.0 color rgb <0.60, 0.15, 0.10>
              color rgb <0.25, 0.10, 0.10>]
}
#declare M_Wood6B = 
color_map { 
    [0.0, 0.3 color rgbf <0.25, 0.10, 0.10, 0.00> 
              color rgbf <0.25, 0.10, 0.10, 0.40>]
    [0.3, 0.5 color rgbf <0.25, 0.10, 0.10, 0.40>
              color rgbf <0.60, 0.15, 0.10, 1.00>]
    [0.5, 0.7 color rgbf <0.60, 0.15, 0.10, 1.00>
              color rgbf <0.25, 0.10, 0.10, 0.40>]
    [0.7, 1.0 color rgbf <0.60, 0.15, 0.10, 0.40>
              color rgbf <0.25, 0.10, 0.10, 0.00>]
}
#declare M_Wood7A = 
color_map { 
    [0.0, 0.1 color rgb <0.60, 0.35, 0.20>
              color rgb <0.60, 0.35, 0.20>]
    [0.1, 0.9 color rgb <0.60, 0.35, 0.20>
              color rgb <0.90, 0.65, 0.30>]
    [0.9, 1.0 color rgb <0.90, 0.65, 0.30>
              color rgb <0.60, 0.35, 0.20>]
}
#declare M_Wood7B = 
color_map { 
    [0.0, 0.1 color rgbf <0.90, 0.65, 0.30, 0.00>
              color rgbf <0.90, 0.65, 0.30, 0.30>]
    [0.1, 1.0 color rgbf <0.90, 0.65, 0.30, 0.30>
              color rgbf <1.00, 1.00, 1.00, 1.00> ] 
}
#declare M_Wood8A = 
color_map { 
    [0.0, 0.1 color rgb <0.45, 0.30, 0.15>
              color rgb <0.45, 0.30, 0.15>]
    [0.1, 0.9 color rgb <0.55, 0.30, 0.15>
              color rgb <0.20, 0.15, 0.05>]
    [0.9, 1.0 color rgb <0.20, 0.15, 0.05>
              color rgb <0.45, 0.30, 0.15>]
}
#declare M_Wood8B = 
color_map { 
    [0.0, 0.5 color rgbf <0.60, 0.35, 0.20, 0.30>
              color rgbf <0.60, 0.35, 0.20, 0.80>]
    [0.5, 1.0 color rgbf <0.60, 0.35, 0.20, 0.80>
              color rgbf <1.00, 1.00, 1.00, 1.00> ] 
}
#declare M_Wood9A = 
color_map { 
    [0.0, 0.5 color rgb <1.00, 0.85, 0.50>
              color rgb <0.60, 0.40, 0.16>]
    [0.5, 0.7 color rgb <0.60, 0.40, 0.16>
              color rgb <0.60, 0.40, 0.16>]
    [0.7, 1.0 color rgb <0.60, 0.40, 0.16>
              color rgb <1.00, 0.85, 0.50>]
}
#declare M_Wood9B = 
color_map { 
    [0.0, 0.5 color rgbf <1.00, 0.70, 0.25, 1.00>
              color rgbf <0.50, 0.30, 0.06, 0.40>]
    [0.5, 0.7 color rgbf <0.50, 0.30, 0.06, 0.40>
              color rgbf <0.50, 0.30, 0.06, 0.30>]
    [0.7, 1.0 color rgbf <0.50, 0.30, 0.06, 0.40>
              color rgbf <1.00, 0.70, 0.25, 1.00>]
}
#declare M_Wood10A = 
color_map { 
    [0.0, 0.5 color rgb <1.00, 0.85, 0.50>
              color rgb <0.90, 0.70, 0.46>]
    [0.5, 0.7 color rgb <0.90, 0.70, 0.46>
              color rgb <0.90, 0.70, 0.46>]
    [0.7, 1.0 color rgb <0.90, 0.70, 0.46>
              color rgb <1.00, 0.85, 0.50>]
}
#declare M_Wood10B = 
color_map { 
    [0.0, 0.5 color rgbf <1.00, 0.45, 0.10, 0.80>
              color rgbf <0.85, 0.65, 0.40, 0.40>]
    [0.5, 0.7 color rgbf <0.85, 0.65, 0.40, 0.40>
              color rgbf <0.85, 0.65, 0.40, 0.40>]
    [0.7, 1.0 color rgbf <0.85, 0.65, 0.40, 0.40>
              color rgbf <1.00, 0.45, 0.10, 0.80>]
}
#declare M_Wood11A = 
color_map {
    [0.000, 0.222 color rgb <0.80, 0.67, 0.25>
                  color rgb <0.80, 0.67, 0.25>]
    [0.222, 0.342 color rgb <0.80, 0.67, 0.25>
                  color rgb <0.60, 0.34, 0.04>]
    [0.342, 0.393 color rgb <0.60, 0.34, 0.04>
                  color rgb <0.80, 0.67, 0.25>]
    [0.393, 0.709 color rgb <0.80, 0.67, 0.25>
                  color rgb <0.80, 0.67, 0.25>]
    [0.709, 0.821 color rgb <0.80, 0.67, 0.25>
                  color rgb <0.53, 0.29, 0.02>]
    [0.821, 1.000 color rgb <0.53, 0.29, 0.02>
                  color rgb <0.80, 0.67, 0.25>]
}
#declare M_Wood11B = 
color_map {
    [0.000, 0.120 color rgbf <1.00, 1.00, 1.00, 1.00>
                  color rgbf <0.70, 0.41, 0.11, 0.60>]
    [0.120, 0.231 color rgbf <0.70, 0.41, 0.11, 0.60>
                  color rgbf <0.70, 0.46, 0.11, 0.60>]
    [0.231, 0.496 color rgbf <0.70, 0.46, 0.11, 0.60>
                  color rgbf <1.00, 1.00, 1.00, 1.00>]
    [0.496, 0.701 color rgbf <1.00, 1.00, 1.00, 1.00>
                  color rgbf <1.00, 1.00, 1.00, 1.00>]
    [0.701, 0.829 color rgbf <1.00, 1.00, 1.00, 1.00>
                  color rgbf <0.70, 0.46, 0.11, 0.60>]
    [0.829, 1.000 color rgbf <0.70, 0.46, 0.11, 0.60>
                  color rgbf <1.00, 1.00, 1.00, 1.00>]
}
#declare M_Wood12A = 
color_map {
    [0.000, 0.256 color rgb <0.20, 0.11, 0.07>*1.25 
                  color rgb <0.23, 0.12, 0.09>*1.25]
    [0.256, 0.393 color rgb <0.23, 0.12, 0.09>*1.25
                  color rgb <0.24, 0.13, 0.09>*1.25]
    [0.393, 0.581 color rgb <0.24, 0.13, 0.09>*1.25
                  color rgb <0.20, 0.11, 0.07>*1.25]
    [0.581, 0.726 color rgb <0.20, 0.11, 0.07>*1.25
                  color rgb <0.25, 0.12, 0.10>*1.25]
    [0.726, 0.983 color rgb <0.25, 0.12, 0.10>*1.25
                  color rgb <0.23, 0.12, 0.08>*1.25]
    [0.983, 1.000 color rgb <0.23, 0.12, 0.08>*1.25
                  color rgb <0.20, 0.11, 0.07>*1.25]
}
#declare M_Wood12B = 
color_map {
    [0.000, 0.139 color rgbf <0.545, 0.349, 0.247, 1.000>
                  color rgbf <0.450, 0.350, 0.320, 0.800>]
    [0.139, 0.148 color rgbf <0.450, 0.350, 0.320, 0.800>
                  color rgbf <0.450, 0.350, 0.320, 0.800>]
    [0.148, 0.287 color rgbf <0.450, 0.350, 0.320, 0.800>
                  color rgbf <0.545, 0.349, 0.247, 1.000>]
    [0.287, 0.443 color rgbf <0.545, 0.349, 0.247, 1.000>
                  color rgbf <0.545, 0.349, 0.247, 1.000>]
    [0.443, 0.626 color rgbf <0.545, 0.349, 0.247, 1.000>
                  color rgbf <0.450, 0.350, 0.320, 0.800>]
    [0.626, 0.635 color rgbf <0.450, 0.350, 0.320, 0.800>
                  color rgbf <0.450, 0.350, 0.320, 0.800>]
    [0.635, 0.843 color rgbf <0.450, 0.350, 0.320, 0.800>
                  color rgbf <0.545, 0.349, 0.247, 1.000>]
    [0.843, 1.000 color rgbf <0.545, 0.349, 0.247, 1.000>
                  color rgbf <0.545, 0.349, 0.247, 1.000>]
}
// Same as M_Wood7A
#declare M_Wood13A = 
color_map { 
    [0.0, 0.1 color rgb <0.60, 0.35, 0.20>
              color rgb <0.60, 0.35, 0.20>]
    [0.1, 0.9 color rgb <0.60, 0.35, 0.20>
              color rgb <0.90, 0.65, 0.30>]
    [0.9, 1.0 color rgb <0.90, 0.65, 0.30>
              color rgb <0.60, 0.35, 0.20>]
}
// Same as M_Wood7B
#declare M_Wood13B = 
/********
color_map { 
    [0.0, 0.1 color rgbf <0.90, 0.65, 0.30, 0.00>
              color rgbf <0.90, 0.65, 0.30, 0.30>]
    [0.1, 1.0 color rgbf <0.90, 0.65, 0.30, 0.30>
              color rgbf <1.00, 1.00, 1.00, 1.00> ] 
}
********/
color_map { 
    [0.0, 0.4 color rgbf <1.00, 1.00, 1.00, 1.00>
              color rgbf <0.90, 0.65, 0.30, 0.30>]
    [0.4, 0.5 color rgbf <0.90, 0.65, 0.30, 0.00>
              color rgbf <0.90, 0.65, 0.30, 0.30>]
    [0.5, 1.0 color rgbf <0.90, 0.65, 0.30, 0.30>
              color rgbf <1.00, 1.00, 1.00, 1.00> ] 
}

#declare M_Wood14A = 
colour_map {
    [0.00 0.10 color rgb < 0.80, 0.232, 0.115 >
               color rgb < 0.80, 0.232, 0.115 >]
    [0.10 0.90 color rgb < 0.80, 0.232, 0.115 >
               color rgb < 0.45, 0.115, 0.060 >]
    [0.90 1.0  color rgb < 0.45, 0.115, 0.060 >
               color rgb < 0.45, 0.115, 0.060 >]
}

#declare M_Wood14B = 
colour_map {
    [0.00 0.10 color rgbf < 0.70, 0.232, 0.115, 0.5 >
               color rgbf < 0.70, 0.232, 0.115, 0.7 >]
    [0.10 0.15 color rgbf < 0.70, 0.232, 0.115, 0.7 >
               color rgbf < 0.35, 0.115, 0.060, 0.9 >]
    [0.15 0.20 color rgbf < 0.70, 0.232, 0.115, 0.9 >
               color rgbf < 0.35, 0.115, 0.060, 0.7 >]
    [0.20 1.0  color rgbf < 0.35, 0.115, 0.060, 0.7 >
               color rgbf < 0.35, 0.115, 0.060, 0.5 >]
}
#declare M_Wood15A = 
colour_map {
    [0.00 0.25   color rgb < 0.504, 0.310, 0.078> * 0.7
                 color rgb < 0.531, 0.325, 0.090> * 0.8 ]
    [0.25 0.40   color rgb < 0.531, 0.325, 0.090> * 0.8
                 color rgb < 0.547, 0.333, 0.090> * 0.5 ]
    [0.40 0.50   color rgb < 0.547, 0.333, 0.090> * 0.5
                 color rgb < 0.504, 0.310, 0.075> * 0.6 ]
    [0.50 0.70   color rgb < 0.504, 0.310, 0.075> * 0.6 
                 color rgb < 0.559, 0.322, 0.102> * 0.4 ]
    [0.70 0.98   color rgb < 0.559, 0.322, 0.102> * 0.4
                 color rgb < 0.531, 0.325, 0.086> * 0.4 ]
    [0.98 1.00   color rgb < 0.531, 0.325, 0.086> * 0.4
                 color rgb < 0.504, 0.310, 0.078> * 0.7 ]
}
#declare M_Wood15B = 
colour_map {
    [0.00 0.25   color rgbf < 0.404, 0.210, 0.078, 0.20>
                 color rgbf < 0.431, 0.225, 0.090, 0.80>]
    [0.25 0.40   color rgbf < 0.431, 0.225, 0.090, 0.80>
                 color rgbf < 0.447, 0.233, 0.090, 0.20>]
    [0.40 0.50   color rgbf < 0.447, 0.233, 0.090, 0.20>
                 color rgbf < 0.404, 0.210, 0.075, 0.60>]
    [0.50 0.70   color rgbf < 0.404, 0.210, 0.075, 0.60>
                 color rgbf < 0.459, 0.222, 0.102, 0.20>]
    [0.70 0.98   color rgbf < 0.459, 0.222, 0.102, 0.20>
                 color rgbf < 0.431, 0.225, 0.086, 0.40>]
    [0.98 1.00   color rgbf < 0.431, 0.225, 0.086, 0.40>
                 color rgbf < 0.404, 0.210, 0.078, 0.10>]
}
#declare M_Wood16A =
colour_map {
    [0.00 0.25   color rgb < 0.504, 0.310, 0.078> * 0.7
                 color rgb < 0.531, 0.325, 0.090> * 0.8 ]
    [0.25 0.40   color rgb < 0.531, 0.325, 0.090> * 0.8
                 color rgb < 0.547, 0.333, 0.090> * 0.5 ]
    [0.40 0.50   color rgb < 0.547, 0.333, 0.090> * 0.5
                 color rgb < 0.504, 0.310, 0.075> * 0.6 ]
    [0.50 0.70   color rgb < 0.504, 0.310, 0.075> * 0.6
                 color rgb < 0.559, 0.322, 0.102> * 0.4 ]
    [0.70 0.98   color rgb < 0.559, 0.322, 0.102> * 0.4
                 color rgb < 0.531, 0.325, 0.086> * 0.4 ]
    [0.98 1.00   color rgb < 0.531, 0.325, 0.086> * 0.4
                 color rgb < 0.504, 0.310, 0.078> * 0.7 ]
}
#declare M_Wood16B =
colour_map {
    [0.00 0.25   color rgbf < 0.404, 0.210, 0.078, 0.30>
                 color rgbf < 0.431, 0.225, 0.090, 0.60>]
    [0.25 0.40   color rgbf < 0.431, 0.225, 0.090, 0.60>
                 color rgbf < 0.447, 0.233, 0.090, 0.30>]
    [0.40 0.50   color rgbf < 0.447, 0.233, 0.090, 0.30>
                 color rgbf < 0.404, 0.210, 0.075, 0.40>]
    [0.50 0.70   color rgbf < 0.404, 0.210, 0.075, 0.40>
                 color rgbf < 0.459, 0.222, 0.102, 0.20>]
    [0.70 0.98   color rgbf < 0.459, 0.222, 0.102, 0.20>
                 color rgbf < 0.431, 0.225, 0.086, 0.50>]
    [0.98 1.00   color rgbf < 0.431, 0.225, 0.086, 0.50>
                 color rgbf < 0.404, 0.210, 0.078, 0.30>]
}
#declare M_Wood17A =
colour_map {
    [0.00 0.25   color rgb < 0.70, 0.40, 0.15> * 0.9
                 color rgb < 0.75, 0.42, 0.30> * 0.7 ]
    [0.25 0.40   color rgb < 0.75, 0.42, 0.25> * 0.7
                 color rgb < 0.74, 0.43, 0.30> * 0.5 ]
    [0.40 0.50   color rgb < 0.74, 0.43, 0.20> * 0.5
                 color rgb < 0.70, 0.42, 0.15> * 0.3 ]
    [0.50 0.70   color rgb < 0.70, 0.42, 0.15> * 0.3 
                 color rgb < 0.64, 0.46, 0.10> * 0.4 ]
    [0.70 0.98   color rgb < 0.64, 0.46, 0.10> * 0.4
                 color rgb < 0.65, 0.42, 0.20> * 0.6 ]
    [0.98 1.00   color rgb < 0.65, 0.42, 0.20> * 0.6
                 color rgb < 0.60, 0.40, 0.15> * 0.9 ]
}
#declare M_Wood17B = 
colour_map {
    [0.00 0.25   color rgbf < 0.40, 0.20, 0.08, 0.10>
                 color rgbf < 0.44, 0.23, 0.09, 0.20>]
    [0.25 0.40   color rgbf < 0.44, 0.23, 0.09, 0.20>
                 color rgbf < 0.45, 0.25, 0.09, 0.30>]
    [0.40 0.50   color rgbf < 0.45, 0.25, 0.09, 0.30>
                 color rgbf < 0.40, 0.20, 0.08, 0.60>]
    [0.50 0.70   color rgbf < 0.40, 0.20, 0.08, 0.60>  
                 color rgbf < 0.46, 0.23, 0.10, 0.30>]
    [0.70 0.98   color rgbf < 0.46, 0.23, 0.10, 0.30> 
                 color rgbf < 0.44, 0.23, 0.09, 0.20>]
    [0.98 1.00   color rgbf < 0.44, 0.23, 0.09, 0.20> 
                 color rgbf < 0.40, 0.20, 0.08, 0.10>]
}
#declare M_Wood18A = 
colour_map {
    [0.00 0.15   color rgb < 1.0, 0.50, 0.00> 
                 color rgb < 1.0, 0.50, 0.00> *0.5 ]
    [0.15 0.25   color rgb < 1.0, 0.50, 0.00> *0.5 
                 color rgb < 1.0, 0.45, 0.00> *0.7 ]
    [0.25 0.28   color rgb < 1.0, 0.45, 0.00> *0.8 
                 color rgb < 1.0, 0.36, 0.00> *0.3 ]
    [0.28 0.40   color rgb < 1.0, 0.36, 0.00> *0.3 
                 color rgb < 1.0, 0.40, 0.00> *0.4 ]
    [0.40 0.50   color rgb < 1.0, 0.40, 0.00> *0.4 
                 color rgb < 1.0, 0.40, 0.00> *0.6 ]
    [0.50 0.70   color rgb < 1.0, 0.50, 0.00> *0.6 
                 color rgb < 1.0, 0.50, 0.00> *0.7 ]
    [0.70 0.98   color rgb < 1.0, 0.45, 0.00> *0.7 
                 color rgb < 1.0, 0.45, 0.00> *0.5 ]
    [0.98 1.00   color rgb < 1.0, 0.45, 0.00> *0.5 
                 color rgb < 1.0, 0.50, 0.00> ]
}
#declare M_Wood18B = 
colour_map {
    [0.00 0.25   color rgbf < 0.50, 0.26, 0.12, 0.30>
                 color rgbf < 0.54, 0.29, 0.13, 0.40>]
    [0.25 0.40   color rgbf < 0.54, 0.29, 0.13, 0.40>
                 color rgbf < 0.55, 0.28, 0.10, 0.60>]
    [0.40 0.50   color rgbf < 0.55, 0.28, 0.10, 0.60>
                 color rgbf < 0.50, 0.23, 0.15, 1.00>]
    [0.50 0.70   color rgbf < 0.50, 0.23, 0.15, 1.00>  
                 color rgbf < 0.56, 0.29, 0.17, 0.60>]
    [0.70 0.98   color rgbf < 0.56, 0.29, 0.17, 0.60> 
                 color rgbf < 0.54, 0.29, 0.13, 0.40>]
    [0.98 1.00   color rgbf < 0.54, 0.29, 0.13, 0.40> 
                 color rgbf < 0.50, 0.26, 0.12, 0.30>]
}
#declare M_Wood19A =
color_map {
    [0.00 color rgb <0.5, 0.25, 0.125>]
    [0.40 color rgb <1.0, 0.50, 0.250> ]
    [0.60 color rgb <1.0, 0.50, 0.250> ]
    [1.00 color rgb <0.5, 0.25, 0.125>]
}
#declare M_Wood19B =
color_map {
    [0.00 0.30 color rgb <0.35, 0.175, 0.0875> 
               color rgb <1.00, 0.500, 0.2500> ]
    [0.30 1.00 color Clear color Clear]
}

#declare P_WoodGrain1A =
pigment {
    wood
    turbulence 0.04
    octaves 3
    scale <0.05, .05, 1>
}

#declare P_WoodGrain1B =
pigment {
    wood
    turbulence <0.1, 0.5, 1>
    octaves 5
    lambda 3.25
    scale <0.15, .5, 1>
    rotate <5, 10, 5>
    translate -x*2
}

#declare P_WoodGrain2A =
pigment {
    wood
    turbulence 0.04
    octaves 3
    scale <0.15, .15, 1>
}

#declare P_WoodGrain2B =
pigment {
    wood  
    turbulence <0.1, 0.35, 0.1>
    octaves 5
    lambda 3.25
    scale <0.25, .25, 1>
    rotate <5, 10, 5>
    translate -x*2
}

#declare P_WoodGrain3A = 
pigment {
    wood  
    turbulence 0.04
    octaves 3
    scale <0.05, .05, 1>
    rotate <2,2,0>
}

#declare P_WoodGrain3B =
pigment {
    wood  
    turbulence <0.1, 0.5, 1> 
    octaves 5
    lambda 3.25
    scale <0.15, .5, 1>
    rotate <5, 10, 5>
    translate -x*2
}

#declare P_WoodGrain4A = 
pigment {
    wood
    turbulence 0.04
    octaves 4
    omega 1.25
    scale <0.15, .15, 1>
}

#declare P_WoodGrain4B =
pigment {
    bozo
    turbulence <0.03, 0.03, 0.1>
    octaves 5
    lambda 3.25
    scale <0.025, .025, 1.0>
}
#declare P_WoodGrain5A =
pigment {
    wood  
    turbulence <0.04, 0.04, 0.1>
    octaves 4
    omega 1.25
    scale <0.15, .15, 1>
}

#declare P_WoodGrain5B =
pigment {
    wood  
    turbulence <0.025, 0.025, 0.1>
    octaves 4
    omega 1.3
    scale <0.30, .20, 1>
    translate <0.1, 0.1, 0.20>
}


#declare P_WoodGrain6A =
pigment {
    wood 
    turbulence <0.05, 0.08, 1>
    octaves 4
    scale <0.15, .15, 1>
    translate -x*100
}

#declare P_WoodGrain6B =
pigment {
    wood  
    turbulence <0.05, 0.05, 0>
    octaves 4
    omega 0.95
    scale <0.20, 0.20, 1>             
    rotate x*20
}


#declare P_WoodGrain7A =
pigment {
    wood
    turbulence <0.05, 0.08, 1000>
    octaves 4
    scale <0.15, .15, 1>
}

#declare P_WoodGrain7B =
pigment {
    bozo
    scale <0.01, 0.01, 100000>
}


#declare P_WoodGrain8A =
pigment {
    wood
    turbulence 0.04
    octaves 3
    scale <0.05, .05, 1>
}

#declare P_WoodGrain8B =
pigment {
    wood
    turbulence <0.04, 0.04, 1>
    octaves 4
    scale <0.05, 0.05, 1> * 0.66
}


#declare P_WoodGrain9A =
pigment {
    wood  
    turbulence 0.1
    octaves 4
    lambda 3
    scale 0.2
    rotate <0.125, 0.125, 0>
}

#declare P_WoodGrain9B =
pigment {
    wood
    turbulence 0.1          
    octaves 4
    lambda 3.5
    scale 0.2
    rotate <0.125, 0.125, 0>
    translate <0.015, 0.015, 0.015>
}


#declare P_WoodGrain10A =
pigment {
    wood  
    turbulence 0.02
    octaves 4
    lambda 3
    scale 0.175
    rotate <2, 2, 0>
}


#declare P_WoodGrain10B =
pigment {
    wood
    turbulence 0.02
    octaves 4
    lambda 2.8
    scale 0.2
    rotate <2, 2, 0>
    translate <0.0175, 0.0175, 0.0175>
}


#declare P_WoodGrain11A =
pigment {
    wood
    turbulence 0.02
    scale 0.1
    translate <10, 0, 0>
}

#declare P_WoodGrain11B =
pigment {
    wood
    turbulence 0.01
    scale 0.5
    translate <10, 0, 0>
}


#declare P_WoodGrain12A =
pigment {
    bozo
    turbulence 0.04
    lambda 2.5
    omega 0.1
    octaves 7
    scale <0.5, 0.05, 0.05>
}

#declare P_WoodGrain12B =
pigment {
    wood
    turbulence <0.1, 0.04, 1>
    scale <0.15, 0.5, 1>
//    translate <10, 0, 0>
    rotate x*2
}


#declare P_WoodGrain13A =
pigment {
    wood
    turbulence 0.02
    scale 0.1
    translate <10, 0, 0>
}

#declare P_WoodGrain13B =
pigment {
    wood
    turbulence 0.01
    scale 0.05 
//    translate <10, 0, 0>
}


#declare P_WoodGrain14A =
pigment {
    wood
    colour_map { M_Wood14A }
    turbulence 0.065
    octaves 2
    scale <0.15, .15, 1>
    translate < -1 0 0 >
    rotate <-3, -3, 0>
}

#declare P_WoodGrain14B=
pigment {
    wood
    colour_map { M_Wood14B }
    turbulence <0, 0.1, 0>
    lambda 2.75
    omega 1.15
    octaves 4
    scale <5, 0.075, 1>
    rotate x*90
}


#declare P_WoodGrain15A =
pigment {
    bozo
    colour_map { M_Wood15A }
    turbulence 0.04
    scale <0.05 0.05 1>
}


#declare P_WoodGrain15B =
pigment {
    wood
    colour_map { M_Wood15B }
    scale <0.20 0.20 1>
    turbulence 0.04
    rotate <-2, 2, 0>
}


#declare P_WoodGrain16A =
pigment {
    bozo
    colour_map { M_Wood16A }
    turbulence 0.04
    scale <0.02 0.02 1>
}


#declare P_WoodGrain16B =
pigment {
    wood
    colour_map { M_Wood16B }
    scale <0.075 0.075 1>
    turbulence 0.035
    rotate <-2, 2, 0>
}


#declare P_WoodGrain17A = 
pigment {
    wood
    colour_map { M_Wood17A }
    turbulence 0.04
    omega 0.4
    scale <0.1 0.1 1>
    rotate -x*4
}

#declare P_WoodGrain17B =
pigment {
    wood
    colour_map { M_Wood17B }
    turbulence 0.05
    omega 0.65
    scale <0.2 0.2 1>
    rotate -x*2
}

#declare P_WoodGrain18A =
pigment {
    wood
    colour_map { M_Wood18A }
    turbulence 0.02
    octaves 4
    lambda 4
//    scale 0.3
    scale 0.1
    rotate <2, 0, 0>
}


#declare P_WoodGrain18B =
pigment {
    wood
    colour_map { M_Wood18B }
    turbulence 0.02
    octaves 6
    lambda 2.8
    omega 0.6
//    scale 0.1
    scale 0.05
    rotate <2, 0, 0>
}

#declare P_WoodGrain19A =
pigment {
    wood
    scale <0.075, 0.075, 1>
    turbulence 0.065
    omega 0.45
    lambda 2.3
    color_map { M_Wood19A }
    rotate x*4
}
#declare P_WoodGrain19B =
pigment {
    bozo
    color_map { M_Wood19B }
    scale <0.013, 0.013, 0.75>
}



#declare P_Cloud1 =
pigment {
    bozo
    turbulence 0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0.0, 0.1   color red 0.85 green 0.85 blue 0.85
                    color red 0.75 green 0.75 blue 0.75]
        [0.1, 0.5   color red 0.75 green 0.75 blue 0.75
                    color Clear]
        [0.5, 1.001 color Clear
                    color Clear]
    }
    scale <6, 1, 6>
}

#declare P_Cloud2 =
pigment {
    wrinkles
    turbulence 0.65
    octaves 6
    omega 0.7
    lambda 2
    color_map {
        [0.0, 0.1   color red 0.85 green 0.85 blue 0.85
                    color red 0.75 green 0.75 blue 0.75]
        [0.1, 0.5   color red 0.75 green 0.75 blue 0.75
                    color rgb <0.258, 0.258, 0.435>  ]
        [0.5, 1.001 color rgb <0.258, 0.258, 0.435>
                    color rgb <0.258, 0.258, 0.435> ]
    }
    scale <6, 1, 6>
}
#declare P_Cloud3 =
pigment {
    bozo
    color_map {
        [0.0, 0.1   color red 0.85 green 0.85 blue 0.85
                    color red 0.55 green 0.60 blue 0.65]
        [0.1, 0.5   color red 0.55 green 0.60 blue 0.65
                    color rgb <0.184, 0.184, 0.309> ]
        [0.5, 1.001 color rgb <0.184, 0.184, 0.309>
                    color rgb <0.1, 0.1, 0.2>]
    }
    turbulence 0.65
    octaves 6
    omega 0.707
    lambda 2
    scale <6, 4, 6>
}

#declare P_Cloud4 =
pigment {
    wrinkles
    turbulence 0.1
    lambda 2.2
    omega 0.707
    color_map {
        [0.20 SkyBlue * 0.85 ]
        [0.50 White ]
        [1.00 Gray70 ]
    }
    scale <0.5, 0.15, 1>
}

#declare S_Cloud1 =
sky_sphere {
    pigment {
        gradient y
        pigment_map {
            [0.01 rgb <0.847, 0.749, 0.847> ] // horizon
            [0.25 P_Cloud2 scale 0.25 rotate z*5]
            [0.60 P_Cloud3 scale <0.25, 0.15, 0.25> rotate z*10]
        }
    }
}

#declare S_Cloud2 =
sky_sphere {
    pigment {
        gradient y
        pigment_map {
            [0.00 rgb <0.847, 0.749, 0.847> ] // horizon
            [0.10 SkyBlue ]                   // horizon
            [0.20 P_Cloud4 ]
        }
    }
}

#declare S_Cloud3 =
sky_sphere {
    pigment {
        gradient y
        pigment_map {
            [0.10 rgb <0.258, 0.258, 0.435> ]
            [0.25 P_Cloud2 scale 0.15 ]
        }
    }
}

#declare S_Cloud4 =
sky_sphere {
    pigment {
        gradient y
        pigment_map {
            [0.00 rgb <0.184, 0.184, 0.309> ]
            [0.15 P_Cloud3 scale <0.05, 0.40, 0.05> rotate z*30 ]
            [0.45 P_Cloud3 scale <0.25, 0.15, 0.50> ]
        }
    }
}


#declare S_Cloud5 =
sky_sphere {
    pigment { rgb <0.258, 0.258, 0.435> }
    pigment {
        bozo
        turbulence 1.5
        octaves 10
        omega .5
        lambda 2.5
        color_map {
            [0.0, 0.5 color rgbf<.75, .75, .75, 0>
                      color rgbf<.9, .9, .9, .9> ]
            [0.5, 0.7 color rgbf<.9, .9, .9, .9>
                      color rgbf<1, 1, 1, 1> ]
            [0.7, 1.0 color rgbf<1, 1, 1, 1>
                      color rgbf<1, 1, 1, 1> ]
        }
    scale <1, 0.3, 10>
    }
    pigment {
        bozo
        turbulence 0.6
        octaves 10
        omega .5
        lambda 2.5
        color_map {
            [0.0, 0.4 color rgbf<.75, .75, .75, 0>
                      color rgbf<.9, .9, .9, .9> ]
            [0.4, 0.7 color rgbf<.9, .9, .9, .9>
                      color rgbf<1, 1, 1, 1> ]
            [0.7, 1.0 color rgbf<1, 1, 1, 1>
                      color rgbf<1, 1, 1, 1> ]
        }
    scale <1, 0.3, 10>
    }
    pigment {
        bozo
        turbulence 0.8
        octaves 10
        omega .5
        lambda 2.5
        color_map {
            [0.0, 0.4 color rgbf<.75, .75, .75, 0>
                      color rgbf<.9, .9, .9, .9> ]
            [0.4, 0.6 color rgbf<.9, .9, .9, .9>
                      color rgbf<1, 1, 1, 1> ]
            [0.6, 1.0 color rgbf<1, 1, 1, 1>
                      color rgbf<1, 1, 1, 1> ]
        }
    scale <1, 0.3, 10>
    }
}

#declare Folie_Finish = finish {diffuse 0.1 specular 0.8 reflection 0.1 roughness 0.0003 phong 1 phong_size 400}

// ###########################################################################
// Definition der Materialien
// ###########################################################################
//
#include "unifarbe.inc"
#include "spiegel.inc"
#include "metalle.inc"
#include "holz.inc"
#include "wasser.inc"
#include "pflanzen.inc"
#include "stein.inc"
#include "himmel.inc"
#include "bitmaps.inc"
